*******************************************************************************
*  FILE:         Enum.h
*
*  WRITTEN BY:   Borland Samples Group
*
*  DATE:         2/94
*
*  UPDATED:      6/94
*
*  VERSION:      dBASE FOR WINDOWS 5.0
*
*  DESCRIPTION:  This is a header file containing definitions for various
*                numeric properties of form controls, which used to
*                be enumerated.
*
*  PARAMETERS:   None
*
*  CALLS:        None
*
*  USAGE:        (in a file)
*                #include <Enum.h>
*
*******************************************************************************

* Image Class Alignment property values
#define I_ALIGNMENT_STRETCH     0
#define I_ALIGNMENT_TOP_LEFT    1
#define I_ALIGNMENT_CENTER      2

* Text Class Alignment property values
#define ALIGNMENT_TOP_LEFT      0
#define ALIGNMENT_TOP_CENTER    1
#define ALIGNMENT_TOP_RIGHT     2
#define ALIGNMENT_CENTER_LEFT   3
#define ALIGNMENT_CENTER        4
#define ALIGNMENT_CENTER_RIGHT  5
#define ALIGNMENT_BOTTOM_LEFT   6
#define ALIGNMENT_BOTTOM_CENTER 7
#define ALIGNMENT_BOTTOM_RIGHT  8
#define ALIGNMENT_WRAP_LEFT     9
#define ALIGNMENT_WRAP_CENTER   10
#define ALIGNMENT_WRAP_RIGHT    11

* Rectangle Class BorderStyle property values
#define BORDERSTYLE_NORMAL      0
#define BORDERSTYLE_RAISED      1
#define BORDERSTYLE_LOWERED     2

* Browse Class Mode property values
#define MODE_BROWSE             0
#define MODE_FORM_EDIT          1
#define MODE_COLUMNAR_EDIT      2

* Different control classes MousePointer property values
#define MOUSE_POINTER_DEFAULT   0
#define MOUSE_POINTER_ARROW     1
#define MOUSE_POINTER_CROSS     2
#define MOUSE_POINTER_IBEAM     3
#define MOUSE_POINTER_ICON      4
#define MOUSE_POINTER_SIZE      5
#define MOUSE_POINTER_SIZE_NECW 6
#define MOUSE_POINTER_SIZE_S    7
#define MOUSE_POINTER_SIZE_NWSE 8
#define MOUSE_POINTER_SIZE_E    9
#define MOUSE_POINTER_UP_ARROW  10
#define MOUSE_POINTER_WAIT      11

* Line Class Pen property values
#define PEN_SOLID               0
#define PEN_DASH                1
#define PEN_DOT                 2
#define PEN_DASH_DOT            3
#define PEN_DASH_DOT_DOT        4


* Rectangle Class Patternstyle property values
#define PATTERNSTYLE_SOLID      0
#define PATTERNSTYLE_BDIAGONAL  1
#define PATTERNSTYLE_CROSS      2
#define PATTERNSTYLE_DIAGCROSS  3
#define PATTERNSTYLE_FDIAGONAL  4
#define PATTERNSTYLE_HORIZONTAL 5
#define PATTERNSTYLE_VERTICAL   6


* Form/Editor class Scrollbar property values
#define SCROLLBAR_OFF           0
#define SCROLLBAR_ON            1
#define SCROLLBAR_AUTO          2
#define SCROLLBAR_DISABLED      3

* Combobox class Style property values
#define STYLE_SIMPLE            0
#define STYLE_DROPDOWN          1
#define STYLE_DROPDOWN_LIST     2

* Form class WindowState property values
#define WINDOWSTATE_NORMAL      0
#define WINDOWSTATE_MINIMIZED   1
#define WINDOWSTATE_MAXIMIZED   2

