*******************************************************************************
*  FILE:         Utils.h
*
*  WRITTEN BY:   Borland Samples Group
*
*  DATE:         8/22/93
*
*  UPDATED:      6/94
*
*  REVISION:     $Revision:   1.4  $
*
*  VERSION:      dBASE FOR WINDOWS 5.0
*
*  DESCRIPTION:  Header file for dBASE for Windows samples.
*
*  PARAMETERS:   None
*
*  CALLS:        None
*
*  USAGE:        (in a file)
*                #include <Utils.h>
*
*******************************************************************************

*** Various useful macros

#define ALLTRIM(s)  ltrim(rtrim(s))
#define TRIMSTR(n)  ltrim(str(n))

*** MENUITEM can be used to define menus (dBASE 5.0 for DOS compatibility)

#define MENUITEM   MENU

*** Flags parameter settings for form/control event handling routines.
*** More than one of these can be on at one time (e.g. you can press ctrl-left
*** mouse button.)   To check if a combination of settings has been selected,
*** use BITAND(setting1,setting2)

#define MK_LBUTTON  1
#define MK_RBUTTON  2
#define MK_SHIFT    4
#define MK_CONTROL  8
#define MK_MBUTTON  10

*** NType parameter setting for the OnSize event handler of forms

#define SIZE_RESTORED   0
#define SIZE_MINIMIZED  1
#define SIZE_MAXIMIZED  2
#define SIZE_MAXSHOW    3
#define SIZE_MAXHIDE    4

